/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the designer application of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "imagecollection.h"

ImageCollection::ImageCollection(AbstractFormEditor *core, QObject *parent)
    : AbstractImageCollection(parent), m_core(core)
{
}

ImageCollection::~ImageCollection()
{
}

AbstractFormEditor *ImageCollection::core() const
{
    return m_core;
}

QString ImageCollection::fileName() const
{
    return QString::null;
}

QString ImageCollection::prefix() const
{
    return QString::null;
}

int ImageCollection::count() const
{
    return 0;
}

QString ImageCollection::item(int index) const
{
    Q_UNUSED(index);
    return QString::null;
}
